# RusPy - Rust-Powered Data Analysis

RusPy is a library implemented in Rust for Python that provides powerful data analysis capabilities.

## Features

- Fast and efficient numerical computations.

- Integration with Python for seamless usage.

- Support for complex numbers and advanced mathematical operations.

- High-performance array manipulation and linear algebra routines.

## Installation

RusPy can be installed via pip:

    pip install ruspy

## Usage

Once installed, you can import and use RusPy in your Python projects:

    import ruspy as rp

    data = rp.array([1, 2, 3, 4])
    frequencies = rp.fft(data)

For more information and detailed documentation, please visit https://github.com/manas-verma/ruspy
